extends Button

func _ready():
    connect("toggled", Callable(self, "_on_button_toggled"))


func _on_button_toggled(mode: bool):
    if mode:
        tooltip_text = "Режим \"Тренаж\" задействован\nТекущее состояние: включено"
    else:
        tooltip_text = "Задейстовать режим \"Тренаж\"\nТекущее состояние: отключено"
